#include <QGuiApplication>
#include <QQuickView>
#include <QQmlContext>

#include <sailfishapp.h>
#include "finddevlock.h"

int main(int argc, char *argv[])
{
        QGuiApplication *app = SailfishApp::application(argc, argv);

        QQuickView *view = SailfishApp::createView();
        view->rootContext()->setContextProperty("devlock", new FindDeviceLock());
        view->setSource(SailfishApp::pathTo("qml/FindDeviceLock.qml"));
        view->showFullScreen();
        return app->exec();
}

